// This file is released under the 3-clause BSD license. See COPYING-BSD.

function buildmacros()
  macros_path = get_absolute_file_path("buildmacros.sce");
  tbx_build_macros(TOOLBOX_NAME, macros_path);
  tbx_build_blocks(toolbox_dir, ["US76_ATM_MODEL" "PLOT_GROUNDTRACK" "PLOT_VISIBILITY" "KEPLERIAN_INPUT" "ANGLE_CONVERSION" "DISTANCE_CONVERSION" "VELOCITY_CONVERSION" "SECULAR_J2" "KEP_TO_CAR" "G50_TO_TER" "CJD_TIME" "GROUND_STATION" "STATION_VISIBILITY" "TIMEFRAME_CONVERSION" "SUN_MODEL" "MOON_MODEL" "KEPLERIAN_PROPAGATOR" "LYDDANE_PROPAGATOR" "VECTOR_NORMALIZATION" "VECTOR_ANGLE"]);
endfunction

buildmacros();
clear buildmacros; // remove buildmacros on stack

